classdef janis_fs
    % Feature preparation methods (i.e.: how should multiple paterns/images
    % be handeled?)
    
   properties (Abstract)
      name              % short description
   end
   
   methods (Abstract)
      % method for feature selection
      % input: one or multiple images
      % output: reduced dimensionality image by feature selection
      img = reduce(varargin)
   end
    
end